#!/bin/sh
export PATH=":${PATH:-"/usr/bin:/bin:/usr/local/bin"}"
export LD_LIBRARY_PATH=":${LD_LIBRARY_PATH:-"/usr/lib:/lib"}"
export HOME="/mnt/utmp/Vitals" XDG_CONFIG_HOME="/mnt/utmp/Vitals"

if [ -d /mnt/utmp/TapPig/share ];then
	export XDG_DATA_DIRS=/mnt/utmp/TapPig/share:$XDG_DATA_DIRS:/usr/share
fi
export SDL_AUDIODRIVER="alsa"
cd $HOME
[ -e "$HOME/scripts/pre_script.sh" ] && . $HOME/scripts/pre_script.sh
if [ -e "$HOME/scripts/post_script.sh" ];then
	./pandora-exe.pnd $*
	. $HOME/scripts/post_script.sh
else
	exec ./pandora-exe.pnd $*
fi
